microsoft-foundry.rest.security.o-auth2-auth
Indexes
Create or update a version
PATCH
/indexes/{name}/versions/{version}
Create a new or update an existing Index with the given version id
Parametri di query
api-version
string
necessario
The API version to use for this operation.
Parametri del percorso
name
string
necessario
The name of the resource
version
string
necessario
The specific version id of the Index to create or update.
Corpo della richiesta
The Index to create or update.
Content-Type: application/merge-patch+json
Uno dei seguenti:
AzureSearch
AzureAISearchIndexUpdate
Azure AI Search Index Definition
type
enum
necessario
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndexUpdate
Managed Azure AI Search Index Definition
type
enum
necessario
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndexUpdate
CosmosDB Vector Store Index Definition
type
enum
necessario
Type of index
CosmosDBNoSqlVectorStore
Risposte
The request has succeeded.
Corpo
Content-Type: application/json
Uno dei seguenti:
AzureSearch
AzureAISearchIndex
Azure AI Search Index Definition
type
enum
necessario
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndex
Managed Azure AI Search Index Definition
type
enum
necessario
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndex
CosmosDB Vector Store Index Definition
type
enum
necessario
Type of index
CosmosDBNoSqlVectorStore
Richiedi
PATCH /indexes/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json